All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This class provides Binary Compatibility only, not Source Compatibility ***

## com.sas.services.connection
Class ConnectionFactoryConfiguration

    com.sas.services.connection.ConnectionFactoryConfiguration

All Implemented Interfaces:
  java.lang.Cloneable

Direct Known Subclasses:
  JNDIConnectionFactoryConfiguration, ManualConnectionFactoryConfiguration, OMRConnectionFactoryConfiguration, PlatformConnectionFactoryConfiguration

    @SASScope(value="ALL")
    @BinaryCompatibilityOnly
    public abstract class ConnectionFactoryConfiguration

implements java.lang.Cloneable

The base class for all connection factory configurations. A connection factory configuration can be presented to the `connection factory manager` to obtain a `connection factory` with the desire configuration.

Method Summary
`boolean` | `equals(java.lang.Object that)`
`protected com.sas.services.connection.ConnectionFactoryKernel` | `getKernel(ConnectionFactoryManager manager, ConnectionFactoryConfiguration cxfConfig, java.util.logging.Logger logger)`
`protected com.sas.services.connection.ConnectionFactoryKernel` | `getKernel(ConnectionFactoryManager manager, java.util.logging.Logger logger)`
`protected static com.sas.services.connection.ConnectionFactoryKernel` | `getKernelFromDelegate(ConnectionFactoryManager manager, ConnectionFactoryConfiguration original, java.util.logging.Logger logger, ConnectionFactoryConfiguration delegate)`
`int` | `hashCode()`
`protected void` | `kernelDestroyed(com.sas.services.connection.ConnectionFactoryKernel kernel)` Provides the configuration with a chance to clean up any resources it may be holding for a kernel.

Method Detail

### equals

    public boolean equals(java.lang.Object that)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### getKernelFromDelegate

    protected static com.sas.services.connection.ConnectionFactoryKernel getKernelFromDelegate(ConnectionFactoryManager manager,
                                                                                               ConnectionFactoryConfiguration original,
                                                                                               java.util.logging.Logger logger,
                                                                                               ConnectionFactoryConfiguration delegate)
                                                                                        throws ConnectionFactoryException

  Throws:
    `ConnectionFactoryException`

### getKernel

    protected com.sas.services.connection.ConnectionFactoryKernel getKernel(ConnectionFactoryManager manager,
                                                                            java.util.logging.Logger logger)
                                                                     throws ConnectionFactoryException

  Throws:
    `ConnectionFactoryException`

### getKernel

    protected com.sas.services.connection.ConnectionFactoryKernel getKernel(ConnectionFactoryManager manager,
                                                                            ConnectionFactoryConfiguration cxfConfig,
                                                                            java.util.logging.Logger logger)
                                                                     throws ConnectionFactoryException

  Throws:
    `ConnectionFactoryException`

### kernelDestroyed

    protected void kernelDestroyed(com.sas.services.connection.ConnectionFactoryKernel kernel)

  Provides the configuration with a chance to clean up any resources it may be holding for a kernel.

  Parameters:
    `kernel` - the kernel that has been destroyed

*** This class provides Binary Compatibility only, not Source Compatibility ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.